import request from '@/common/util/request'

export const _API_Reg = data => request.get('/login/register', data) // 注册
export const _API_Login = data => request.get('/login/login', data) // 登录
export const _API_LoginWX = data => request.get('/login/wechat_login', data) // 微信登录
export const _API_GetVerifyCode = data => request.get('/login/judge_login', data) // 发送验证码

export const _API_LoginByPsw = data => request.post('/user/login', data) // 密码登陆
export const _API_UpdataPsw = data => request.post('/user/update_pass', data) // 修改密码

export const _API_Logout = data => request.get('/logout', data) // 退出登录

export const _API_GzhWebInit = data => request.get('/wechat/wechat')

// export const _API_GzhWebInit = data => request.post('/wechat/wechat', {
// 	username: 'daweiboshi',
// 	password: 'DWBS@8888'
// })

export const _API_ChangeBindCode = data => request.get('/user/send_code', data) // 手机换绑--获取验证码
export const _API_ChangeBindPhone = data => request.get('/user/change_num', data) // 手机换绑--立即换绑